import request from "@/utils/request";

// 查询网络安全支持单位列表
export function listNetSafetyZcUnit(query) {
  return request({
    url: "/zongzhi/supportunit/list",
    method: "get",
    params: query,
  });
}

// 查询网络安全支持单位详细
export function getNetSafetyZcUnit(id) {
  return request({
    url: "/zongzhi/supportunit/" + id,
    method: "get",
  });
}

// 新增网络安全支持单位
export function addNetSafetyZcUnit(data) {
  return request({
    url: "/zongzhi/supportunit",
    method: "post",
    data: data,
  });
}

// 修改网络安全支持单位
export function updateNetSafetyZcUnit(data) {
  return request({
    url: "/zongzhi/supportunit",
    method: "put",
    data: data,
  });
}

// 删除网络安全支持单位
export function delNetSafetyZcUnit(id) {
  return request({
    url: "/zongzhi/supportunit/" + id,
    method: "delete",
  });
}

// 导出网络安全支持单位
export function exportNetSafetyZcUnit(data) {
  return request({
    url: "/zongzhi/supportunit/export",
    method: "post",
    data,
  });
}
